LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XFormsEvent Interface Reference

`import"XFormsEvent.idl";`

Inheritance diagram for XFormsEvent:

## Public Member Functions
void | initXFormsEvent ([in] string typeArg, [in] boolean canBubbleArg, [in] boolean cancelableArg)
Public Member Functions inherited from XEvent
string | getType ()
XEventTarget | getTarget ()
XEventTarget | getCurrentTarget ()
PhaseType | getEventPhase ()
boolean | getBubbles ()
boolean | getCancelable ()
com::sun::star::util::Time | getTimeStamp ()
void | stopPropagation ()
void | preventDefault ()
void | initEvent ([in] string eventTypeArg, [in] boolean canBubbleArg, [in] boolean cancelableArg)
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Member Function Documentation

## ◆ initXFormsEvent()

void initXFormsEvent | ( | [in] string | typeArg,
|  | [in] boolean | canBubbleArg,
|  | [in] boolean | cancelableArg
| ) |  |

The documentation for this interface was generated from the following file:

- com/sun/star/xforms/XFormsEvent.idl